|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionComplex Class Reference

The QStyleOptionComplex class is used to hold parameters that are common to all complex controls. More...

    #include <QStyleOptionComplex>

Part of the QtGui module.

Inherits QStyleOption.

Inherited by QStyleOptionComboBox, QStyleOptionQ3ListView, QStyleOptionSlider, QStyleOptionSpinBox, QStyleOptionTitleBar, and QStyleOptionToolButton.

- List of all members, including inherited members

### Public Functions

- QStyleOptionComplex ( int version = QStyleOptionComplex::Version, int type = SO_Complex )
- QStyleOptionComplex ( const QStyleOptionComplex & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- QStyle::SubControls activeSubControls
- QStyle::SubControls subControls

- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionComplex class is used to hold parameters that are common to all complex controls.

This class is not used on its own. Instead it is used to derive other complex control options, for example QStyleOptionSlider and QStyleOptionSpinBox.

## Member Function Documentation

### QStyleOptionComplex::QStyleOptionComplex ( int version = QStyleOptionComplex::Version, int type = SO_Complex )

Constructs a QStyleOptionComplex of type type and version version. Usually this constructor is called by subclasses.

The subControls member is initialized to QStyle::SC_All. The activeSubControls member is initialized to QStyle::SC_None.

### QStyleOptionComplex::QStyleOptionComplex ( const QStyleOptionComplex & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### const int QStyleOptionComplex::Type

Equals SO_Complex.

### const int QStyleOptionComplex::Version

Equals 1.

### QStyle::SubControls QStyleOptionComplex::activeSubControls

This variable holds the sub-controls that are active for the complex control.

This a bitwise OR of the various sub-controls that are active (pressed) for the complex control.

See also QStyle::SubControl.

### QStyle::SubControls QStyleOptionComplex::subControls

This variable holds the sub-controls that need to be painted.

This is a bitwise OR of the various sub-controls that need to be drawn for the complex control.

See also QStyle::SubControl.